Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041278
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminorhave not tried2019-07-04 12:372019-08-30 20:01
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision5fa7cd513ec4
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041278: CostingBackground.doExecute is not using bind-params

DescriptionThis code is not using bind-params:
      where.append(" and ad_isorgincluded(o.id, '" + bundle.getContext().getOrganization()
          + "', '" + bundle.getContext().getClient() + "') <> -1 ");

When fixing please apply new HQL-style to every HQL in this file.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041454 closedcollazoandy4 Apply HQL style guide to CostingBackground 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113682)
collazoandy4 (developer)
2019-07-26 15:38

Test Plan
  Create a new Goods Shipment with Cerveza Ale 0,5L product.
  Run the Costing Background Process and check the transaccion in Product tab have a cost calculated
(0114331)
hgbot (developer)
2019-08-29 14:34

Repository: erp/devel/pi
Changeset: 5fa7cd513ec48023340d67453712da3935d510ea
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 25 17:04:10 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/5fa7cd513ec48023340d67453712da3935d510ea [^]

Fixes issue 41278: CostingBackground.doExecute is not using bind-params

Added missing bind-parameters

---
M src/org/openbravo/costing/CostingBackground.java
---
(0114333)
Sandrahuguet (developer)
2019-08-29 14:35

code review + testing ok
(0114348)
hudsonbot (developer)
2019-08-30 20:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/981eeb35474e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-04 12:37 shuehner New Issue
2019-07-04 12:37 shuehner Assigned To => Triage Finance
2019-07-04 12:37 shuehner Modules => Core
2019-07-04 12:37 shuehner Triggers an Emergency Pack => No
2019-07-04 12:38 shuehner Relationship added blocks 0038136
2019-07-04 12:38 shuehner Target Version => 3.0PR19Q4
2019-07-25 16:24 collazoandy4 Status new => scheduled
2019-07-26 15:38 collazoandy4 Note Added: 0113682
2019-08-29 14:03 Sandrahuguet Relationship added related to 0041454
2019-08-29 14:34 hgbot Checkin
2019-08-29 14:34 hgbot Note Added: 0114331
2019-08-29 14:34 hgbot Status scheduled => resolved
2019-08-29 14:34 hgbot Resolution open => fixed
2019-08-29 14:34 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5fa7cd513ec48023340d67453712da3935d510ea [^]
2019-08-29 14:35 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-29 14:35 Sandrahuguet Note Added: 0114333
2019-08-29 14:35 Sandrahuguet Status resolved => closed
2019-08-29 14:35 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-30 20:01 hudsonbot Checkin
2019-08-30 20:01 hudsonbot Note Added: 0114348


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker